---
updatedAt: 2025-09-16T11:17:38.000Z
agentTools:
  projectIndex: https://docs.super.ai/llms.txt
---

# Create a worker

Use this endpoint to create a worker at the account or organization level. Once created, you can [add the worker to a project](#add-a-worker-to-a-project).

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "superai-api",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.super.ai"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "API-KEY"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/v1/workers": {
      "post": {
        "summary": "Create a worker",
        "description": "Use this endpoint to create a worker at the account or organization level. Once created, you can [add the worker to a project](#add-a-worker-to-a-project).",
        "operationId": "create-a-worker",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "email": {
                    "type": "string",
                    "description": "The email address for the worker you want to invite."
                  },
                  "type": {
                    "type": "string",
                    "description": "Whether the worker is a human, bot, or AI. If you are inviting your own labelers, use `USER`. Options available: `USER`, `CROWD`, `BOT`, and `AI`."
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n   \"id\":12345,\n   \"status\":\"INVITED\",\n   \"type\":\"USER\",\n   \"invited\":\"2021-07-28T13:56:47.936000+00:00\",\n   \"accepted\":null,\n   \"created\":\"2021-07-28T13:56:47.936000+00:00\",\n   \"userId\":23456,\n   \"userEmail\":\"chris@super.ai\",\n   \"userUsername\":\"user23456\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "type": "integer",
                      "example": 12345,
                      "default": 0
                    },
                    "status": {
                      "type": "string",
                      "example": "INVITED"
                    },
                    "type": {
                      "type": "string",
                      "example": "USER"
                    },
                    "invited": {
                      "type": "string",
                      "example": "2021-07-28T13:56:47.936000+00:00"
                    },
                    "accepted": {},
                    "created": {
                      "type": "string",
                      "example": "2021-07-28T13:56:47.936000+00:00"
                    },
                    "userId": {
                      "type": "integer",
                      "example": 23456,
                      "default": 0
                    },
                    "userEmail": {
                      "type": "string",
                      "example": "chris@super.ai"
                    },
                    "userUsername": {
                      "type": "string",
                      "example": "user23456"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl \"https://api.super.ai/v1/workers\" \\\n-X POST \\\n-H \"API-KEY: live_1Ab23cdEFGH4iJ5K67Lmnop8qR10STulWX_2y3Za4_B\" \\\n-H \"Content-Type: application/json\" \\\n-d '{ \"email\": \"chris@super.ai\", \"type\": \"USER\"}'"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```